#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

if sys.argv[-1] == 'publish':
    os.system('python setup.py sdist upload')
    sys.exit()

readme = open('README.md').read()
history = open('HISTORY.md').read().replace('.. :changelog:', '')

setup(
    name='garbo',
    version='0.1.2.1',
    description='Host information harvester.',
    long_description=readme + '\n\n' + history,
    author='Kirill Borisov',
    author_email='borisov@bars-open.ru',
    url='https://src.bars-open.ru/py/m3/sadwind/garbo',
    packages=[
        'garbo',
        'garbo.informers'
    ],
    package_dir={'garbo': 'garbo'},
    include_package_data=True,
    install_requires=[
        'requests>=2.0.1',
        'psutil'
    ],
    license="MIT",
    zip_safe=False,
    keywords='garbo',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
    ],
    test_suite='tests',
    entry_points={
        'console_scripts': [
            'garbo = garbo.main:main',
        ]
    }
)
